Java.com

Descargar Ayuda

Recursos de ayuda

¿Cómo se controla cuándo un applet o aplicación que no son de confianza se ejecutan en mi explorador web?


Este artículo se aplica a:
  • Versiones de Java: 7.0

Java 7u10 ahora permite gestionar cuándo y cómo las aplicaciones Java que no son de confianza (p. ej., una aplicación firmada digitalmente por un emisor desconocido, o un certificado que no haya emitido una autoridad de certificación de confianza) se ejecutarán si están incluidas en una página web. La configuración del nivel de seguridad en el Panel de Control de Java determinará si
  1. Se le solicitará confirmación antes de ejecutar una aplicación Java que no es de confianza (MEDIUM o HIGH) o
  2. Se bloquearán las aplicaciones Java que no son de confianza para que no se puedan ejecutar (VERY HIGH).
A partir de Java 7 Update 51, los usuarios podrán configurar las aplicaciones que van a ejecutar y que normalmente serían bloqueadas por las comprobaciones de seguridad. Si se utiliza la función de la lista de excepciones, la opción aparecerá en el panel de control de Java.
Consulte el apartado sobre preguntas frecuentes acerca de la lista de excepciones de sitios para obtener más información.

Búsqueda del panel de control de Java

» Windows
» Mac OS X


Configuración de los niveles de seguridad mediante el Panel de Control de Java
Activar Java
  1. En el Panel de Control de Java, haga clic en el separador Seguridad.
  2. Seleccione el nivel de seguridad que desee.
  3. Haga clic en Aplicar.
  4. Haga clic en Aceptar para guardar los cambios realizados en el Panel de Control de Java.
» Para obtener más información, consulte ¿Cómo encontrar el Panel de Control de Java?

Niveles de seguridad en el Panel de Control de Java

Muy Alta
Este es el valor de seguridad más restrictivo. Se podrán ejecutar todas las aplicaciones firmadas con un certificado válido y que incluyan el atributo de permiso en el manifiesto para el archivo JAR principal tras las peticiones de datos de seguridad. El resto de aplicaciones se bloquearán.

Alta
Esta es el nivel de configuración de seguridad mínimo recomendado (y por defecto). Se podrán ejecutar las aplicaciones firmadas con un certificado válido o caducado y que incluyan el atributo de permiso en el manifiesto para el archivo JAR principal tras las peticiones de datos de seguridad. Las aplicaciones también se pueden ejecutar una vez realizadas las peticiones de datos de seguridad cuando el estado del certificado no se puede comprobar. El resto de aplicaciones se bloquearán.

Media
Sólo aparecen bloqueadas las aplicaciones sin firma que soliciten todos los permisos. El resto de aplicaciones se pueden ejecutar una vez realizadas las peticiones de datos de seguridad. No se recomienda seleccionar el nivel de seguridad medio ya que hará que su computadora sea más vulnerable en caso de ejecutar una aplicación no autorizada.


Puede que también le interese:

Seleccionar idioma | Acerca de Java | Soporte | Desarrolladores
Privacidad | Condiciones de uso | Marcas Registradas | Descargo de responsabilidad

Oracle